# 更新日志

本文档记录DataOps平台的所有重要变更。

## [未发布]

### 新增
- 创建了初始项目结构
- 添加了README.md文件

### 修改
- 尚无

### 修复
- 尚无

## [0.1.0] - 2024-03-20

### 新增
- 初始化Flask应用结构
- 创建了基本API蓝图：
  - 元数据管理 (meta_data)
  - 数据资源管理 (data_resource)
  - 数据模型管理 (data_model)
  - 数据接口管理 (data_interface)
  - 数据指标管理 (data_metric)
  - 生产线流程管理 (production_line)
  - 图形化数据 (graph)
  - 系统管理 (system)
- 配置了日志系统
- 配置了CORS支持
- 添加了SQLAlchemy数据库连接

### 修改
- 优化了API路由结构，使用更简洁的前缀

### 修复
- 尚无

## 格式说明

变更记录格式如下：

```
## [版本号] - 发布日期

### 新增
- 新增的功能或文件

### 修改
- 修改的功能或文件

### 修复
- 修复的问题或缺陷

### 移除
- 移除的功能或文件
```

记录时请注明具体的修改内容，例如：
- 修改了`app/services/data_service.py`中的`process_data`函数，增加了数据验证
- 添加了`app/utils/validators.py`文件，实现数据验证功能
- 修复了数据导入时的编码问题 